package NatsServer

import (
	"ERP_user/Nats"
	"ERP_user/logs"
	"fmt"
	"gogs.baozhida.cn/zoie/ERP_libs/lib"
	"time"
)

func Wx_GenerateQRCode(T_uuid string) (string, bool) {
	logs.Println(" => Nats", lib.FuncName(), T_uuid)

	// 请求-响应， 向 test3 发布一个 `help me` 请求数据，设置超时间3秒，如果有多个响应，只接收第一个收到的消息
	msg, err := Nats.Nats.Request("Wx_GenerateQR", []byte(T_uuid), 3*time.Second)
	if err != nil {
		fmt.Println(err)
		return "", false
	}
	fmt.Printf("Wx_GenerateQR : %s\n", string(msg.Data))
	return string(msg.Data), true

}
