# ERP_user 用户管理

### 导入线上库

git config --global url."git@gogs.baozhida.cn/zoie/ERP_libs".insteadOf "http://120.55.48.97:3000/bzd_zeng/ERP_libs"

### 导入本地库

go mod edit -replace gogs.baozhida.cn/zoie/ERP_libs=/Users/zoie/work/bzd_project/ERP/ERP_libs

### 添加新系统

- 在 **app.conf** SYS 配置
- 向新系统power表中同步用户系统power表，将 **erp_storage** 替换为新系统数据库名称

```
INSERT INTO erp_storage.power(ID,t_id,t_name,t__state,create_time,update_time) 
SELECT ID,t_id,t_name,t__state,create_time,update_time FROM erp_user.power
```


## 项目部署

### 1、修改配置文件
conf/app.conf

### 2、打包linux二进制包
GOOS=linux GOARCH=amd64 go build ERP_user.go

### 3、启动服务
./ERP_user

## 系统列表

| 系统名称 | 项目名称        | 端口号  |
|------|-------------|------|
| 用户管理 | ERP_user    | 6700 |
| 考勤管理 | ERP_ams     | 6701 |
| 薪资管理 | ERP_salary  | 6702 |
| 仓库管理 | ERP_storage | 6703 |
| 项目管理 | ERP_project | 6704 |
